<template>
    <div class="control-userBigTop animated fadeInUp" style="margin-top:35px;">
        <p class="text-bold">Balances</p>
        <form action="" @submit.prevent="submit">
            <div v-for="(wallet, index) in wallets" :key="wallet.id">
                <p class="text-bold">{{ wallet.payment_system.name }}</p>
                <div class="box__input__bigPage">
                    <label :for="`wallet_${wallet.id}_balance`">Balance</label>
                    <div class="box-input__info">
                        <input type="text" :id="`wallet_${wallet.id}_balance`" v-model.number="wallets[index]['balance']">
                        <tooltip info="Lorem ipsum dolor sit amet, consectetur adipisicing elit."/>
                    </div>
                </div>
                <div class="box__input__bigPage" v-if="wallet.payment_system.need_wallet">
                    <label :for="`wallet_${wallet.id}_wallet`">wallet</label>
                    <div class="box-input__info">
                        <input type="text" :id="`wallet_${wallet.id}_wallet`" v-model.number="wallets[index]['wallet']">
                        <tooltip info="Lorem ipsum dolor sit amet, consectetur adipisicing elit."/>
                    </div>
                </div>
            </div>
            <button class="save_NoBg">{{ $t('users.form.submit') }}</button>
        </form>
    </div>
</template>

<script>
    import {mapGetters} from "vuex";
    import laravelValidationErrorParse from "../../mixins/laravelValidationErrorParse";

    export default {
        name: "UserWalletsForm",
        mixins: [laravelValidationErrorParse],
        props: ['user'],
        data(){
            return {
                wallets: [],
            }
        },
        watch: {
            user(newUser){
                this.load();
            }
        },
        computed: {
            ...mapGetters([
                'axios'
            ])
        },
        methods: {
            load(){
                this.axios
                    .get(`users/${this.user.id}/wallets`)
                    .then(resp => resp.data)
                    .then(wallets => this.wallets = wallets);
            },
            submit(){
                this.axios
                    .post(`users/${this.user.id}/wallets`, {wallets: this.wallets})
                    .then(resp => resp.data)
                    .then(data => {
                        if('success' === data.status){
                            this.$swal(this.$t('ui.success'));
                            this.$emit('reload-user')
                        }else{
                            this.$swal(this.$t('ui.error'), data.message, 'error')
                        }
                    })
                    .catch((error) => {
                        this.displayErrorsSwal(error);
                    });
            }
        },
        mounted() {
            this.load()
        }

    }
</script>

<style scoped>

</style>
